%define anolis_release 2
%define gitdate 20200205
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Name:		xorg-x11-drv-intel
Epoch:		1
Version:	2.99.917
Release:	%{anolis_release}%{?dist}
Summary:	Xorg X11 Intel video driver

License:	MIT
URL:		http://www.x.org
Source0:	https://xorg.freedesktop.org/archive/individual/driver/xf86-video-intel-%{gitdate}.tar.bz2
Patch0:		0000-intel-gcc-pr65873.patch
Patch1:		0001-sna-Avoid-clobbering-output-physical-size-with-xf86O.patch

ExclusiveArch: x86_64

BuildRequires: make
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-xlib-xrender)
BuildRequires: pkgconfig(damageproto)
BuildRequires: pkgconfig(dri3proto)
BuildRequires: pkgconfig(fontsproto)
BuildRequires: pkgconfig(libdrm) >= 2.4.20
BuildRequires: pkgconfig(libdrm_intel) >= 2.4.52
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(pciaccess) >= 0.10
BuildRequires: pkgconfig(pixman-1) >= 0.27.1
BuildRequires: pkgconfig(presentproto)
BuildRequires: pkgconfig(valgrind)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(x11-xcb)
BuildRequires: pkgconfig(xcb-aux)
BuildRequires: pkgconfig(xcb-dri3)
BuildRequires: pkgconfig(xcb-present)
BuildRequires: pkgconfig(xcb-sync)
BuildRequires: pkgconfig(xcb-xfixes)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xf86driproto)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xorg-server) >= 1.6
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xshmfence)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xvmc)
BuildRequires: pkgconfig(xxf86vm)

Requires:	Xorg %(xserver-sdk-abi-requires ansic)
Requires:	Xorg %(xserver-sdk-abi-requires videodrv)
Requires:	polkit

%description
X.Org X11 Intel video driver.

%prep
%autosetup -n xf86-video-intel-%{gitdate} -p1

%build
%define _lto_cflags %{nil}

autoreconf -f -i -v
%configure --enable-kms-only --with-default-dri=3 --enable-tools
%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/libI*XvMC.so

%files
%license COPYING
%{driverdir}/intel_drv.so
%{_libdir}/libIntelXvMC.so.1*
%{_libexecdir}/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*
%{_bindir}/intel-virtual-output

%changelog
* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1:2.99.917-2
- Clean up build requires

* Fri Apr 22 2022 happy_orange <songnannan@linux.alibaba.com> - 1:2.99.917-1
- Init package from upstream
